Bug 154521 - [ports] emulators/dynamips-devel receives nothing from real interface
[ports] emulators/dynamips-devel receives nothing from real interface
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-05 10:30 UTC by melifaro
Modified: 2013-04-29 14:13 UTC (History)
0 users

See Also:


Attachments
patch-gen_eth.txt (704 bytes, patch)
2011-02-07 07:16 UTC, melifaro
no flags Details | Diff
dynamips-devel.patch (2.51 KB, patch)
2011-02-07 14:37 UTC, pavelivolkov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description melifaro 2011-02-05 10:30:22 UTC
There is a tiny libpcap patch in emulators/dynamips/files/patch-gen_eth.c

Please apply this patch to -devel version

Original discussion:

http://lists.freebsd.org/pipermail/freebsd-emulation/2009-July/006524.html

Fix: 

Rebuild port with patch from emulators/dynamips
How-To-Repeat: Run dynamips:

dynamips -P 7200 -i 99 -p 1:0:PA-FE-TX -s 1:0:gen_eth:vlan4 -t npe-400 --idle-pc=0x6072d4b4 ~/ios/7200/c7200-advipservicesk9-mz.124-9.t1.image

issue 'ping something_at_vlan4'. Ping will fail
Comment 1 Edwin Groothuis freebsd_committer 2011-02-05 10:30:26 UTC
Maintainer of emulators/dynamips-devel,

Please note that PR ports/154521 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154521

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-02-05 10:30:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 pavelivolkov 2011-02-07 14:37:01 UTC
Proposed Norikatsu Shigemura patch works great.
Thank you.

Please use to update the port attached to the message file, I added
the cosmetic changes in the ports.
Thank you, again.

On Sat, Feb 5, 2011 at 13:30, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of emulators/dynamips-devel,
>
> Please note that PR ports/154521 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154521
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org

>
Comment 4 dfilter freebsd_committer 2011-02-10 20:35:40 UTC
az          2011-02-10 20:35:33 UTC

  FreeBSD ports repository

  Modified files:
    emulators/dynamips-devel Makefile distinfo 
  Added files:
    emulators/dynamips-devel/files patch-gen_eth.c 
  Log:
  - Fix not real world communications via gen_eth (FreeBSD's libpcap) issue [1]
  - Add LICENSE [2]
  - Remove MD5 from distinfo
  
  PR:             ports/154521
  Submitted by:   Alexander V. Chernikov <melifaro@ipfw.ru> [1]
                  Pavel Volkov <pavelivolkov@googlemail.com> [2] (maintainer)
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.27      +2 -1      ports/emulators/dynamips-devel/Makefile
  1.10      +0 -1      ports/emulators/dynamips-devel/distinfo
  1.4       +26 -0     ports/emulators/dynamips-devel/files/patch-gen_eth.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Andrej Zverev freebsd_committer 2011-02-10 20:36:16 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 paul.koch137 2013-04-29 08:25:57 UTC
This patch appears to be broken.

We have a dynamips / dynagen setup with 40 * Cisco 7200 routers.  The core
router is configured to attach to our local real network using
nio_gen_eth:re0.

In this configuration, with the patch, huge amounts of duplicate packets
are generated by dynamips flooding the local lan.

With the gen_eth.c patch removed, all is good again, except you can't ping
the dynamips routers from the host machine.

Regards

Paul.